import java.util.*;
import java.awt.*;
import javax.swing.*;
import java.awt.event.*;

public class setElement
{   ArrayList<element_number> en;
    int no[];
    int ij[];
	public setElement()
	{en=new ArrayList<element_number>();}
	public void add(int n1,int ij1)
	{element_number en=new element_number(n1,ij1);
	 add(en);
    } 
	public void add(element_number s1)
	{ //int n=en.size();
	  boolean b=false;
	  element_number s2;
	  Iterator n2=en.iterator();
      while(n2.hasNext()&& !b)
      { s2=(element_number)n2.next();
        b=s2.equals(s1);
      }
	if(!b) en.add(s1);
	}

  public int[][] output()
  {
    int n=en.size();
    int a[][]=new int[n][2];
    Iterator i=en.iterator();
    int j=0;
    while(i.hasNext()) {element_number el=(element_number)i.next();a[j]=el.output();j++;}
    return a;
  }
  public static void main(String arg[])
  {setElement se=new setElement();
   element_number en1=new element_number(11,0);
   element_number en2=new element_number(11,1);
   element_number en3=new element_number(13,2);
   element_number en4=new element_number(13,0);
   se.add(en1);
   se.add(en2);
   se.add(en3);
   se.add(en4);
   int a[][]=se.output();
   Text.print(a);
  }
}
